Package org.jfree.report.modules.factories.report.flow

# Class StyleExpressionReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler
org.jfree.report.modules.factories.report.flow.StyleExpressionReadHandler

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public class StyleExpressionReadHandler extends AbstractExpressionReadHandler
Creation-Date: 09.04.2006, 13:40:08

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`StyleExpressionReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStyleKey()`
`protected void`
`startParsing(Attributes attrs)`
Starts parsing.

### Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler

`getDefaultClassName, getExpression, getHandlerForChild, getObject`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`characters, deriveParseParameters, doneParsing, endElement, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleExpressionReadHandler

public StyleExpressionReadHandler()

## Method Details

### startParsing

protected void startParsing(Attributes attrs) throws SAXException
Starts parsing.

Overrides:
  `startParsing` in class `AbstractExpressionReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `SAXException` - if there is a parsing error.

### getStyleKey

public String getStyleKey()